<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>OnChange</title>
</head>
    <body>
        <input type="text" id="inpt" onchange="change()">
        <script>
            function change() {
                let inpt = document.getElementById('inpt');
                inpt.value = inpt.value.toUpperCase();
                console.log(inpt.value)
            }
        </script>
    </body>
</html>